Bug 493004 - blender.bin[15059] trap invalid opcode ip:378c1d9 sp:7fffe52ceff8 error:0 in libdricore.so[363c000+1bc000]
blender.bin[15059] trap invalid opcode ip:378c1d9 sp:7fffe52ceff8 error:0 in ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mesa (Show other bugs)
10
ia64 Linux
low Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-31 04:44 EDT by Washedfrere
Modified: 2009-12-18 04:09 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 04:09:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Washedfrere 2009-03-31 04:44:50 EDT
Description of problem:
Blender don't start. It tries to, but after splash, it closes. If I trie to run it again, my system is dammaged and stopped.

/var/log/messages says: Mar 31 10:13:13 localhost kernel: blender.bin[15059] trap invalid opcode ip:378c1d9 sp:7fffe52ceff8 error:0 in libdricore.so[363c000+1bc000]

Version-Release number of selected component (if applicable):

How reproducible:
Just run Blender

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jochen Schmitt 2009-03-31 10:19:49 EDT
Thank you for reporting this bug. It may be helpfull, if you can tell me more about the graphic adapter which you are using. I believe this is an issue caused by the xserver used for your graphic adapter.
Comment 2 Jochen Schmitt 2009-04-02 16:09:23 EDT
Based on the information about the graphic adapter which I have got from the bug reporter via mail I have changed the assigned component of this bug.
Comment 3 Washedfrere 2009-04-02 16:15:58 EDT
I'm new in this kind of reporting system, sorry about mistakes.

I had tried to know what is my video card, and this is all I obtained:

        *-display UNCLAIMED
             description: VGA compatible controller
             product: 82945G/GZ Integrated Graphics Controller
             vendor: Intel Corporation
             physical id: 2
             bus info: pci@0000:00:02.0
             version: 02
             width: 32 bits
             clock: 33MHz
             capabilities: vga_controller bus_master cap_list
             configuration: latency=0
             resources: memory:ff280000-ff2fffff ioport:ec00(size=8) memory:d0000000-dfffffff(prefetchable) memory:ff240000-ff27ffff

Here, if someone is interested, you have the complete information about my system (I used lshw command):

localhost
    description: Computer
    width: 64 bits
    capabilities: vsyscall64 vsyscall32
  *-core
       description: Motherboard
       physical id: 0
     *-memory
          description: System memory
          physical id: 0
          size: 1015MiB
     *-cpu
          product: Intel(R) Pentium(R) D CPU 2.80GHz
          vendor: Intel Corp.
          physical id: 1
          bus info: cpu@0
          width: 64 bits
          capabilities: fpu fpu_exception wp vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx x86-64 constant_tsc pebs bts nopl pni monitor ds_cpl cid cx16 xtpr lahf_lm cpufreq
     *-pci
          description: Host bridge
          product: 82945G/GZ/P/PL Memory Controller Hub
          vendor: Intel Corporation
          physical id: 100
          bus info: pci@0000:00:00.0
          version: 02
          width: 32 bits
          clock: 33MHz
          configuration: driver=agpgart-intel
          resources: irq:0
        *-display UNCLAIMED
             description: VGA compatible controller
             product: 82945G/GZ Integrated Graphics Controller
             vendor: Intel Corporation
             physical id: 2
             bus info: pci@0000:00:02.0
             version: 02
             width: 32 bits
             clock: 33MHz
             capabilities: vga_controller bus_master cap_list
             configuration: latency=0
             resources: memory:ff280000-ff2fffff ioport:ec00(size=8) memory:d0000000-dfffffff(prefetchable) memory:ff240000-ff27ffff
        *-multimedia
             description: Audio device
             product: 82801G (ICH7 Family) High Definition Audio Controller
             vendor: Intel Corporation
             physical id: 1b
             bus info: pci@0000:00:1b.0
             version: 01
             width: 64 bits
             clock: 33MHz
             capabilities: bus_master cap_list
             configuration: driver=HDA Intel latency=0
             resources: irq:16 memory:ff238000-ff23bfff
        *-usb:0
             description: USB Controller
             product: 82801G (ICH7 Family) USB UHCI Controller #1
             vendor: Intel Corporation
             physical id: 1d
             bus info: pci@0000:00:1d.0
             version: 01
             width: 32 bits
             clock: 33MHz
             capabilities: uhci bus_master
             configuration: driver=uhci_hcd latency=0
             resources: irq:23 ioport:e000(size=32)
           *-usbhost
                product: UHCI Host Controller
                vendor: Linux 2.6.27.12-170.2.5.fc10.x86_64 uhci_hcd
                physical id: 1
                bus info: usb@2
                logical name: /dev/usb2
                version: 2.06
                capabilities: usb-1.10
                configuration: driver=hub slots=2 speed=12.0MB/s
              *-usb
                   description: Mouse
                   product: USB Mouse
                   physical id: 2
                   bus info: usb@2:2
                   version: 1.00
                   capabilities: usb-1.10
                   configuration: driver=usbhid maxpower=100mA speed=1.5MB/s
        *-usb:1
             description: USB Controller
             product: 82801G (ICH7 Family) USB UHCI Controller #2
             vendor: Intel Corporation
             physical id: 1d.1
             bus info: pci@0000:00:1d.1
             version: 01
             width: 32 bits
             clock: 33MHz
             capabilities: uhci bus_master
             configuration: driver=uhci_hcd latency=0
             resources: irq:19 ioport:dc00(size=32)
           *-usbhost
                product: UHCI Host Controller
                vendor: Linux 2.6.27.12-170.2.5.fc10.x86_64 uhci_hcd
                physical id: 1
                bus info: usb@3
                logical name: /dev/usb3
                version: 2.06
                capabilities: usb-1.10
                configuration: driver=hub slots=2 speed=12.0MB/s
              *-usb
                   description: Printer
                   product: PSC 1400 series
                   vendor: HP
                   physical id: 2
                   bus info: usb@3:2
                   version: 1.00
                   serial: CN5BJC403J04BM
                   capabilities: usb-2.00 bidirectional
                   configuration: driver=usblp maxpower=2mA speed=12.0MB/s
        *-usb:2
             description: USB Controller
             product: 82801G (ICH7 Family) USB UHCI Controller #3
             vendor: Intel Corporation
             physical id: 1d.2
             bus info: pci@0000:00:1d.2
             version: 01
             width: 32 bits
             clock: 33MHz
             capabilities: uhci bus_master
             configuration: driver=uhci_hcd latency=0
             resources: irq:18 ioport:d880(size=32)
           *-usbhost
                product: UHCI Host Controller
                vendor: Linux 2.6.27.12-170.2.5.fc10.x86_64 uhci_hcd
                physical id: 1
                bus info: usb@4
                logical name: /dev/usb4
                version: 2.06
                capabilities: usb-1.10
                configuration: driver=hub slots=2 speed=12.0MB/s
        *-usb:3
             description: USB Controller
             product: 82801G (ICH7 Family) USB UHCI Controller #4
             vendor: Intel Corporation
             physical id: 1d.3
             bus info: pci@0000:00:1d.3
             version: 01
             width: 32 bits
             clock: 33MHz
             capabilities: uhci bus_master
             configuration: driver=uhci_hcd latency=0
             resources: irq:16 ioport:d800(size=32)
           *-usbhost
                product: UHCI Host Controller
                vendor: Linux 2.6.27.12-170.2.5.fc10.x86_64 uhci_hcd
                physical id: 1
                bus info: usb@5
                logical name: /dev/usb5
                version: 2.06
                capabilities: usb-1.10
                configuration: driver=hub slots=2 speed=12.0MB/s
        *-usb:4
             description: USB Controller
             product: 82801G (ICH7 Family) USB2 EHCI Controller
             vendor: Intel Corporation
             physical id: 1d.7
             bus info: pci@0000:00:1d.7
             version: 01
             width: 32 bits
             clock: 33MHz
             capabilities: ehci bus_master cap_list
             configuration: driver=ehci_hcd latency=0
             resources: irq:23 memory:ff23fc00-ff23ffff
           *-usbhost
                product: EHCI Host Controller
                vendor: Linux 2.6.27.12-170.2.5.fc10.x86_64 ehci_hcd
                physical id: 1
                bus info: usb@1
                logical name: /dev/usb1
                version: 2.06
                capabilities: usb-2.00
                configuration: driver=hub slots=8 speed=480.0MB/s
              *-usb
                   description: Mass storage device
                   product: USB Multi- Card Reader
                   vendor: OTi
                   physical id: 7
                   bus info: usb@1:7
                   version: 2.00
                   serial: 0123456789abcdef
                   capabilities: usb-2.00 scsi
                   configuration: driver=usb-storage maxpower=500mA speed=480.0MB/s
        *-pci
             description: PCI bridge
             product: 82801 PCI Bridge
             vendor: Intel Corporation
             physical id: 1e
             bus info: pci@0000:00:1e.0
             version: e1
             width: 32 bits
             clock: 33MHz
             capabilities: pci subtractive_decode bus_master cap_list
             resources: ioport:c000(size=4096) memory:ff000000-ff0fffff
           *-network
                description: Ethernet interface
                product: RTL-8139/8139C/8139C+
                vendor: Realtek Semiconductor Co., Ltd.
                physical id: 7
                bus info: pci@0000:01:07.0
                logical name: eth0
                version: 10
                serial: 00:13:8f:e0:72:d4
                width: 32 bits
                clock: 33MHz
                capabilities: bus_master cap_list ethernet physical
                configuration: broadcast=yes driver=8139too driverversion=0.9.28 ip=192.168.0.11 latency=32 maxlatency=64 mingnt=32 multicast=yes
                resources: irq:22 ioport:c800(size=256) memory:ff0ffc00-ff0ffcff
        *-isa
             description: ISA bridge
             product: 82801GB/GR (ICH7 Family) LPC Interface Bridge
             vendor: Intel Corporation
             physical id: 1f
             bus info: pci@0000:00:1f.0
             version: 01
             width: 32 bits
             clock: 33MHz
             capabilities: isa bus_master cap_list
             configuration: latency=0
        *-ide:0
             description: IDE interface
             product: 82801G (ICH7 Family) IDE Controller
             vendor: Intel Corporation
             physical id: 1f.1
             bus info: pci@0000:00:1f.1
             logical name: scsi0
             version: 01
             width: 32 bits
             clock: 33MHz
             capabilities: ide bus_master emulated
             configuration: driver=ata_piix latency=0
             resources: irq:18 ioport:1f0(size=8) ioport:3f6 ioport:170(size=8) ioport:376 ioport:ffa0(size=16)
           *-cdrom
                description: DVD-RAM writer
                product: DVD RW AW-G170A
                vendor: SONY
                physical id: 0.0.0
                bus info: scsi@0:0.0.0
                logical name: /dev/cdrom
                logical name: /dev/cdrw
                logical name: /dev/dvd
                logical name: /dev/dvdrw
                logical name: /dev/scd0
                logical name: /dev/sr0
                version: 1.71
                serial: [SONY    DVD RW AW-G170A 1.71 Jul19,2006
                capabilities: removable audio cd-r cd-rw dvd dvd-r dvd-ram
                configuration: ansiversion=5 status=nodisc
        *-ide:1
             description: IDE interface
             product: 82801GB/GR/GH (ICH7 Family) SATA IDE Controller
             vendor: Intel Corporation
             physical id: 1f.2
             bus info: pci@0000:00:1f.2
             version: 01
             width: 32 bits
             clock: 66MHz
             capabilities: ide bus_master cap_list
             configuration: driver=ata_piix latency=0
             resources: irq:19 ioport:e880(size=8) ioport:e800(size=4) ioport:e480(size=8) ioport:e400(size=4) ioport:e080(size=16)
        *-serial
             description: SMBus
             product: 82801G (ICH7 Family) SMBus Controller
             vendor: Intel Corporation
             physical id: 1f.3
             bus info: pci@0000:00:1f.3
             version: 01
             width: 32 bits
             clock: 33MHz
             configuration: driver=i801_smbus latency=0
             resources: irq:19 ioport:400(size=32)
  *-scsi
       physical id: 1
       bus info: scsi@4
       logical name: scsi4
       capabilities: scsi-host
       configuration: driver=usb-storage
Comment 4 Matěj Cepl 2009-04-06 12:03:36 EDT
Could we get output from

rpm -qa mesa\*

please?

Thank you very much.
Comment 5 Washedfrere 2009-04-07 06:09:35 EDT
Here it is the result from rpm -qa mesa\* :

mesa-libGL-7.2-0.15.fc10.x86_64
mesa-libGLU-7.2-0.15.fc10.x86_64
mesa-libGL-7.2-0.15.fc10.i386
mesa-libGLw-6.5.1-5.fc9.i386
mesa-libGLU-7.2-0.15.fc10.i386
mesa-dri-drivers-7.2-0.15.fc10.x86_64
Comment 6 Bug Zapper 2009-11-18 04:57:48 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-12-18 04:09:45 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.